/*
 * DESCRIPTION:
 * font.c header.
*/

#pragma once

#include <SDL2/SDL_ttf.h>

#include "../COMMON.h"

typedef struct Font
{
	TTF_Font* ttf;
	u32 size;
	bool isInit;
} Font;

s32 font_height_get(Font* self);
s32 font_line_skip_get(Font* self);
bool font_init(Font* self, const char* path, u32 size);
void font_free(Font* self);
